import { JSX as JSX_2 } from 'react/jsx-runtime';

declare interface Breakpoints {
    [key: string]: [number, number];
}

declare type OverlayPosition = `${YPosition}-${XPosition}` | 'relative';

export declare function ScreenSizeOverlay({ breakpoints, position, theme, enable, }: ScreenSizeOverlayProps): JSX_2.Element | null;

declare interface ScreenSizeOverlayProps {
    breakpoints?: Breakpoints;
    position?: OverlayPosition;
    theme?: Theme;
    enable?: boolean;
}

declare type Theme = 'light' | 'dark' | 'scheme' | 'class';

declare type XPosition = 'left' | 'right';

declare type YPosition = 'top' | 'bottom';

export { }
